package com.sifang.modules.sunshine.SystemSetting.vo;

import com.sifang.modules.sunshine.SystemSetting.form.AddAreaVo;

import java.util.Date;
import java.util.List;

public class ProjectCompanySettingsVo {
    private String id;

    private String name;

    private String type;

    private String companyCode;

    private String enterpriseQualificationNumber;

    private String chargePerson;

    private String chargePersonIdCard;

    private String telephone;

    private String province;

    private String city;

    private String area;

    private String address;

    private String signContractTemplateId;

    private String status;

    private Date createTime;

    private String createUserId;

    private Date updateTime;

    private String updateUserId;

    private Date deleteTime;

    private String deleteUserId;


    private String orgStatus;

    private String psnAccount;

    private String psnId;

    private String signerCode;

    private String sealId;

    private String sealAuthBizId;

    private String contractPrefix;

    private Integer contractIndex;

    private String authUrl;

    private String authShortUrl;

    private String authFlowId;

    private String businessLicense;
    private String certificationImgName;

    /**
     * 授权区域 省
     */
    private String authorizeProvince;
    /**
     * 授权区域 市
     */
    private String authorizeCity;
    /**
     * 授权区域 区/县
     */
    private String authorizeArea;
    private List<AddAreaVo> areaList;
    private String partner;
    private String filingType;
    private String insuranceName;
    private String insuranceId;
    private String insuranceUrl;

    public String getInsuranceName() {
        return insuranceName;
    }

    public void setInsuranceName(String insuranceName) {
        this.insuranceName = insuranceName;
    }

    public String getInsuranceId() {
        return insuranceId;
    }

    public void setInsuranceId(String insuranceId) {
        this.insuranceId = insuranceId;
    }

    public String getInsuranceUrl() {
        return insuranceUrl;
    }

    public void setInsuranceUrl(String insuranceUrl) {
        this.insuranceUrl = insuranceUrl;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public String getEnterpriseQualificationNumber() {
        return enterpriseQualificationNumber;
    }

    public void setEnterpriseQualificationNumber(String enterpriseQualificationNumber) {
        this.enterpriseQualificationNumber = enterpriseQualificationNumber;
    }

    public String getChargePerson() {
        return chargePerson;
    }

    public void setChargePerson(String chargePerson) {
        this.chargePerson = chargePerson;
    }

    public String getChargePersonIdCard() {
        return chargePersonIdCard;
    }

    public void setChargePersonIdCard(String chargePersonIdCard) {
        this.chargePersonIdCard = chargePersonIdCard;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getSignContractTemplateId() {
        return signContractTemplateId;
    }

    public void setSignContractTemplateId(String signContractTemplateId) {
        this.signContractTemplateId = signContractTemplateId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getDeleteUserId() {
        return deleteUserId;
    }

    public void setDeleteUserId(String deleteUserId) {
        this.deleteUserId = deleteUserId;
    }

    public String getOrgStatus() {
        return orgStatus;
    }

    public void setOrgStatus(String orgStatus) {
        this.orgStatus = orgStatus;
    }

    public String getPsnAccount() {
        return psnAccount;
    }

    public void setPsnAccount(String psnAccount) {
        this.psnAccount = psnAccount;
    }

    public String getPsnId() {
        return psnId;
    }

    public void setPsnId(String psnId) {
        this.psnId = psnId;
    }

    public String getSignerCode() {
        return signerCode;
    }

    public void setSignerCode(String signerCode) {
        this.signerCode = signerCode;
    }

    public String getSealId() {
        return sealId;
    }

    public void setSealId(String sealId) {
        this.sealId = sealId;
    }

    public String getSealAuthBizId() {
        return sealAuthBizId;
    }

    public void setSealAuthBizId(String sealAuthBizId) {
        this.sealAuthBizId = sealAuthBizId;
    }

    public String getContractPrefix() {
        return contractPrefix;
    }

    public void setContractPrefix(String contractPrefix) {
        this.contractPrefix = contractPrefix;
    }

    public Integer getContractIndex() {
        return contractIndex;
    }

    public void setContractIndex(Integer contractIndex) {
        this.contractIndex = contractIndex;
    }

    public String getAuthUrl() {
        return authUrl;
    }

    public void setAuthUrl(String authUrl) {
        this.authUrl = authUrl;
    }

    public String getAuthShortUrl() {
        return authShortUrl;
    }

    public void setAuthShortUrl(String authShortUrl) {
        this.authShortUrl = authShortUrl;
    }

    public String getAuthFlowId() {
        return authFlowId;
    }

    public void setAuthFlowId(String authFlowId) {
        this.authFlowId = authFlowId;
    }

    public String getBusinessLicense() {
        return businessLicense;
    }

    public void setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
    }

    public String getCertificationImgName() {
        return certificationImgName;
    }

    public void setCertificationImgName(String certificationImgName) {
        this.certificationImgName = certificationImgName;
    }

    public String getAuthorizeProvince() {
        return authorizeProvince;
    }

    public void setAuthorizeProvince(String authorizeProvince) {
        this.authorizeProvince = authorizeProvince;
    }

    public String getAuthorizeCity() {
        return authorizeCity;
    }

    public void setAuthorizeCity(String authorizeCity) {
        this.authorizeCity = authorizeCity;
    }

    public String getAuthorizeArea() {
        return authorizeArea;
    }

    public void setAuthorizeArea(String authorizeArea) {
        this.authorizeArea = authorizeArea;
    }

    public List<AddAreaVo> getAreaList() {
        return areaList;
    }

    public void setAreaList(List<AddAreaVo> areaList) {
        this.areaList = areaList;
    }

    public String getPartner() {
        return partner;
    }

    public void setPartner(String partner) {
        this.partner = partner;
    }

    public String getFilingType() {
        return filingType;
    }

    public void setFilingType(String filingType) {
        this.filingType = filingType;
    }

    @Override
    public String toString() {
        return "ProjectCompanySettingsVo{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", type='" + type + '\'' +
                ", companyCode='" + companyCode + '\'' +
                ", enterpriseQualificationNumber='" + enterpriseQualificationNumber + '\'' +
                ", chargePerson='" + chargePerson + '\'' +
                ", chargePersonIdCard='" + chargePersonIdCard + '\'' +
                ", telephone='" + telephone + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", area='" + area + '\'' +
                ", address='" + address + '\'' +
                ", signContractTemplateId='" + signContractTemplateId + '\'' +
                ", status='" + status + '\'' +
                ", createTime=" + createTime +
                ", createUserId='" + createUserId + '\'' +
                ", updateTime=" + updateTime +
                ", updateUserId='" + updateUserId + '\'' +
                ", deleteTime=" + deleteTime +
                ", deleteUserId='" + deleteUserId + '\'' +
                ", orgStatus='" + orgStatus + '\'' +
                ", psnAccount='" + psnAccount + '\'' +
                ", psnId='" + psnId + '\'' +
                ", signerCode='" + signerCode + '\'' +
                ", sealId='" + sealId + '\'' +
                ", sealAuthBizId='" + sealAuthBizId + '\'' +
                ", contractPrefix='" + contractPrefix + '\'' +
                ", contractIndex=" + contractIndex +
                ", authUrl='" + authUrl + '\'' +
                ", authShortUrl='" + authShortUrl + '\'' +
                ", authFlowId='" + authFlowId + '\'' +
                ", businessLicense='" + businessLicense + '\'' +
                ", certificationImgName='" + certificationImgName + '\'' +
                ", authorizeProvince='" + authorizeProvince + '\'' +
                ", authorizeCity='" + authorizeCity + '\'' +
                ", authorizeArea='" + authorizeArea + '\'' +
                ", areaList=" + areaList +
                ", partner='" + partner + '\'' +
                ", filingType='" + filingType + '\'' +
                '}';
    }
}
